Compatible with FF4 Rated 4 out of 5 stars

Great extension but needs to be made compatible with FF4.